Packages - Bug #2684

opendht for armv7 doesn't include opendht/http.h
2020-04-09 02:24 AM - Time4Tea

Status: not-a-bug % Done: 0%
Priority: bug

Assignee:

Category:

Description

The opendht package for armv7 doesn't seem to include the http.h header file. According to the source URL (
https://github.com/savoirfairelinux/opendht

), this header should be present. | am trying to build jami-daemon on my Chromebook and it is throwing an error because it can't find
this header.

History

#1 - 2020-04-09 04:37 PM - bill-auger

do you have a PKGBUILD or compiling from git? - that github repo
is a mirror and could be out-of date - i would follow the guide

on the jami website, and modify the PKGBUILD if you have one,
to use the jami.net sources instead of github

https://qit.jami.net/savoirfairelinux/ring-project/wikis/technical/Build-instructions

#2 - 2020-04-09 07:57 PM - Time4Tea
bill-auger the Jami source | was building was from git.jami.net (which is the URL refrenced in the Arch PKGBUILD). However, opendht is also flagged
as out of date and the Arch PKGBUILD for that references the github page | linked above.

So, it seems that the Arch package for opendht is also out of date and it is not possible to build the latest Jami source with it. | will try downloading
and building the newer source for opendht, when | get a chance, and see if Jami will build with it.

| don't see a version of opendht on the savoirfairelinux gitlab page.

#3 - 2020-04-09 07:59 PM - Time4Tea

The github page for opendht seems to be being actively maintained.

#4 - 2020-04-09 08:36 PM - bill-auger

is the jami program broken in parabola now? - jami and its
dependencies are all arch packages; so if it is broken in
parabola, then it maybe broken in arch and we could work with
arch to fix it

if the current jami parabola package works, i can suggest that

you ask on the jami mailing list if they host 'opendht’

themselves and/or if the 'opendht’ github repo is up-to-date

with the version of jami you are trying to build - it is common

for github to be used as a mirror and fall behind the upstream -
maybe the 'opendht' PKGBUILD should be changed to use the jami
git repos, like the 'jami-daemon' PKGBUILD does

#5 - 2020-04-10 01:14 AM - Time4Tea

bill-auger Jami appears to be broken in Parabola, as far as | can tell. | have tried to use it, as | described in my forum post however, | have had
problems connecting and sending messages. | would be happy to try to work with Arch/ALARM, to see if they can fix it upstream.

In the short term though, | am going to try building the latest version of opendht that | can find and see if that at least lets me build Jami.
#6 - 2020-04-10 02:23 AM - Time4Tea
I built and installed opendht from the newer source and that seemed to allow jami-daemon to build. | will build the other jami packages and try it out

over the next few days.

#7 - 2020-04-10 04:18 AM - oaken-source
this appears to be a bug in the upstream PKGBUILD of opendht, or opendht itself. opendht/http.h is supposed to be included in the distribution, if the
https://github.com/savoirfairelinux/opendht
https://git.jami.net/savoirfairelinux/ring-project/wikis/technical/Build-instructions
client or server are enabled at build time. the PKGBUILD does enable both, so the header should be there.

You should re-raise this issue directly at arch, there's nothing we can do here.

#8 - 2020-04-10 04:19 AM - oaken-source

- Status changed from unconfirmed to not-a-bug

closing as not-a-bug, since this is not a parabola bug. Further discussion is welcome in the community forum. :)
